package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="data_upload_model")
public class DataUploadModel implements Serializable {
/*	Table: data_upload_model
	----------------------------

	Column Information
	----------------------

	Field              Type          Collation          Null    Key     Default  Extra   Privileges                       Comment  
	-----------------  ------------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
	legal_entity_code  int(10)       (NULL)             NO      PRI     (NULL)           select,insert,update,references           
	model              varchar(200)  latin1_swedish_ci  NO      PRI     (NULL)           select,insert,update,references           
	description        varchar(200)*/ 
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="model")
	private String model;
	
	@Column(name="description")
	private String description;

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the model
	 */
	public String getModel() {
		return model;
	}

	/**
	 * @param model the model to set
	 */
	public void setModel(String model) {
		this.model = model;
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	
	
	
}
